Hello.

I am building community BSP (morty) based image with Qt5.8, but it fails.

It seems that I need to modify the IMX-GPU related patch as follows (add 
-DLINUX=1 -DEGL_API_FB) so that the build won't fail.
(As I can see a report from mail archive 
https://www.mail-archive.com/meta-freescale@yoctoproject.org/msg20083.html)

But I am not sure it is the right workaround or the issue has been already 
fixed otherwise and I am missing it?

./meta-freescale/dynamic-layers/qt5-layer/recipes-qt/qt5/qtbase/0014-Add-IMX-GPU-support.patch

====
--- git.orig/mkspecs/linux-oe-g++/qmake.conf 2016-12-14 16:51:48.468955533 -0600
+++ git/mkspecs/linux-oe-g++/qmake.conf 2016-12-14 17:03:17.000000000 -0600
@@ -39,5 +39,12 @@ isEmpty(QMAKE_QT_CONFIG):QMAKE_QT_CONFIG

 include(../oe-device-extra.pri)

+QMAKE_CFLAGS          += -DLINUX=1 -DEGL_API_FB=1
+QMAKE_CXXFLAGS        += -DLINUX=1 -DEGL_API_FB=1
+
+QMAKE_LIBS_EGL        += -lEGL
+QMAKE_LIBS_OPENGL_ES2 += -lEGL -lGLESv2
+QMAKE_LIBS_OPENVG     += -lEGL -lOpenVG
+
 load(device_config)
 load(qt_config)
====

-- 
_______________________________________________
meta-freescale mailing list
meta-freescale@yoctoproject.org
https://lists.yoctoproject.org/listinfo/meta-freescale

Reply via email to